Bug 728630 - kernel 2.6.40-4 causes GPFs in a KVM VM, causes system to fail to boot or become unusable soon after boot
Summary: kernel 2.6.40-4 causes GPFs in a KVM VM, causes system to fail to boot or bec...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 20:58 UTC by Adam Williamson
Modified: 2012-06-06 17:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:19:27 UTC


Attachments (Terms of Use)
first gpf (this is during boot, I think, with cifs mount and selinux enabled) (3.90 KB, text/plain)
2011-08-05 21:00 UTC, Adam Williamson
no flags Details
second gpf (I think this is on bringing up the VPN after booting with selinux and cifs share disabled) (3.46 KB, text/plain)
2011-08-05 21:01 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2011-08-05 20:58:31 UTC
After my IRC proxy VM was updated to kernel 2.6.40-4, the next reboot was a horror show. After several attempts I just couldn't make the system boot at all; it'd get stuck trying to mount a CIFS share, with a gpf trace showing. Looking through the console output I saw some stuff about selinux, so after a few failed attempts at rebooting, I used virt-edit to disable selinux and set the share to noauto. After that the system booted, but hit another gpf when I brought up a connection to a VPN, and was unresponsive after that.

I then flipped it back to 2.6.38.8-35.fc15.x86_64; with that kernel it seems to be running fine.

I'll attach the gpfs I was able to get out of the logs, I think there were more but they didn't all get logged.

Comment 1 Adam Williamson 2011-08-05 21:00:49 UTC
Created attachment 516957 [details]
first gpf (this is during boot, I think, with cifs mount and selinux enabled)

Comment 2 Adam Williamson 2011-08-05 21:01:24 UTC
Created attachment 516958 [details]
second gpf (I think this is on bringing up the VPN after booting with selinux and cifs share disabled)

Comment 3 Dave Jones 2011-08-06 00:00:53 UTC
I have a hunch. Can you try booting with vdso=0

(this is for the gpf thing, the cifs bug is likely a dupe of another bug).

Comment 4 Adam Williamson 2011-08-08 22:49:08 UTC
will try to check this soon, but it's below Alpha stuff on my todo list - just for info. i have to find a bit of a quiet time to do it as while i'm screwing with this, i'm not on IRC :)

Comment 5 Adam Williamson 2011-10-04 01:34:56 UTC
Guh. Sorry, I suck. Will re-test this right now just to knock it off my list.

Comment 6 Adam Williamson 2011-10-04 02:16:07 UTC
well, after some fun libvirt drama on the host, I booted with 2.6.40-5 with vdso=0 and it worked fine...dunno if it's -5, vdso=0, or something else. even mounting the CIFS share doesn't seem to cause any trouble.

Comment 7 Josh Boyer 2012-06-06 17:19:27 UTC
Pretty sure Adam isn't on F15 anymore, and it's not clear if an update or vdso=0 fixed things.  Closing this out as WORKSFORME since F15 is going EOL.


Note You need to log in before you can comment on or make changes to this bug.